%define anolis_release 1
%bcond_with tests
%global pypi_name urllib3

Name:           python-%{pypi_name}
Version:        2.2.2
Release:        %{anolis_release}%{dist}
Summary:        Python HTTP library with thread-safe connection pooling and file post
License:        MIT
URL:            https://github.com/urllib3/urllib3
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python HTTP module with connection pooling and file POST abilities.

%package -n python3-%{pypi_name}
Summary:        Python3 HTTP library with thread-safe connection pooling and file post

BuildRequires:  python3-devel python3-setuptools pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3-dateutil python3-six python3-pysocks
BuildRequires:  python3-pytest python3-pytest-freezegun python3-pytest-timeout
BuildRequires:  python3-tornado python3-trustme python3-idna
%endif

Requires:       ca-certificates
Requires:       python3-idna python3-six >= 1.16.0 python3-pysocks

%description -n python3-%{pypi_name}
Python3 HTTP module with connection pooling and file POST abilities.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
Documentation fliles for python3-%{pypi_name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
recent_date=$(date --date "7 month ago" +"%Y, %_m, %_d")
sed -i "s/^RECENT_DATE = datetime.date(.*)/RECENT_DATE = datetime.date($recent_date)/" src/urllib3/connection.py

rm -rf test/with_dummyserver/
rm -rf test/appengine/
rm -rf test/contrib/

sed -i -e 's/^import mock/from unittest import mock/' \
       -e 's/^from mock import /from unittest.mock import /' \
    test/*.py docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt

%files -n python3-%{pypi_name}-doc
%doc CHANGES.rst

%changelog
* Tue Jun 25 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.2-1
- update to 2.2.2

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.26.18-2
- Rebuild with python3.11

* Thu Oct 19 2023 Funda Wang <fundawang@yeah.net> - 1.26.18-1
- New version 1.26.18

* Wed Apr 12 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.26.13-2
- Add doc package
- Optimize the spec file

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.26.13-1
- update to version 1.26.13
 
* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> 1.26.9-1
- Init package from upstream v1.26.9
